// ReadWriteDlg.h : header file
//

#if !defined(AFX_READWRITEDLG_H__C12A5A86_F214_403C_BD77_90EB7EE95DCB__INCLUDED_)
#define AFX_READWRITEDLG_H__C12A5A86_F214_403C_BD77_90EB7EE95DCB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CReadWriteDlg dialog

class CReadWriteDlg : public CDialog
{
// Construction
public:
	CReadWriteDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CReadWriteDlg)
	enum { IDD = IDD_READWRITE_DIALOG };
	CEdit	m_DataCtrl;
	CEdit	m_KeyCtrl;
	CString	m_strKey;
	CString	m_strData;
	UINT	m_BlockNr;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CReadWriteDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CReadWriteDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnConnect();
	afx_msg void OnBtnDisconnect();
	afx_msg void OnBtnRead();
	afx_msg void OnBtnWrite();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_READWRITEDLG_H__C12A5A86_F214_403C_BD77_90EB7EE95DCB__INCLUDED_)
